//
//  Equipment.swift
//  Werkout_ios
//
//  Created by Trey Tartt on 6/15/23.
//

import Foundation
struct Equipment: Codable {
    let id: Int
    let createdAt, updatedAt: String
    let category, name: String?
    
    enum CodingKeys: String, CodingKey {
        case id
        case createdAt = "created_at"
        case updatedAt = "updated_at"
        case category, name
    }
}

struct ExerciseEquipment: Codable, Hashable {
    let id: Int
    let createdAt, updatedAt: String
    let exercise, equipment: Int
    
    enum CodingKeys: String, CodingKey {
        case id
        case createdAt = "created_at"
        case updatedAt = "updated_at"
        case equipment, exercise
    }
}
